# Common Errors

In this section, you will find answers to commonly encountered issues. Remember that most errors stem from incorrect configuration, lack of required resources, or insufficient modification.

Bear in mind that troubleshooting requires patience and precision. Try to carefully analyze the errors and systematically review possible solutions.

If the issue persists after verifying the configuration and available resources, please contact the support on the VMS Discord.

***

<details>

<summary>Permissions don't allow to see admin options on QB-Core</summary>

If you have configured Config.Permissions correctly and still don't see the options you should have available, it means you have misconfigured permissions on your server.

1. Go to your server.cfg file where you have admin permissions registered
2. Find the lines where you give users a role, you need to give it as `qbcore.ROLE` and `group.ROLE` per user, below is an example:

{% code fullWidth="false" %}

```yang
add_principal identifier.license:IDENTIFIER qbcore.god
add_principal identifier.license:IDENTIFIER group.god
```

{% endcode %}

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_reports/common-errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
